<?php
require '../bootstrap.php';
$conectDB = connectDB();
$conectDB->exec("set names utf8mb4");


$dataCadastro = date("Y-m-d H:i:s");
//print_r($_POST);


 
	if(isset($_GET['searchCities'])){
		
		$estadoID     = stringInputCleaner($_GET['estadoID']);
		$estadoID 	  = (int)$estadoID;

		$resultadoCidades = array();
		$results = all($conectDB, 'cidade', ' id, nome ',  " WHERE estado_id = {$estadoID} ");
		//echo '<pre>';print_r($results);echo '</pre>';
		foreach($results as $cidade)
		{
			$resultadoCidades[] = array("cityID"=>$cidade->id, "cityName"=>$cidade->nome);
		} 

		echo( json_encode( $resultadoCidades ) );
	}
	elseif(isset($_GET['searchCitiesName'])){
		 
		$name     = stringInputCleaner($_POST['name']);
 
		$resultadoCidades = array();
		$results = all($conectDB, 'cidade', ' id, nome ',  " WHERE nome like '%".$name."%' order by nome asc limit 5");
 		foreach($results as $cidade)
		{
			$resultadoCidades[] = array("cityID"=>$cidade->id, "cityName"=>$cidade->nome);
		} 

		echo( json_encode( $resultadoCidades ) );
	}
 